TransferUtil (transfer-library 1.0.0-3.5.0 API)
Date: 2014-11-12

org.gcube.data.transfer.common

## Class TransferUtil

- java.lang.Object
- - org.gcube.data.transfer.common.TransferUtil

-     public class TransferUtil
      extends Object

  Author:
    Andrea Manzi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `bufferSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransferUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectiontimeout()`
    `static InputStream` | `getInputStream(URI uri, int connectionTimeout)`
    `int` | `getTransferTimeout()`
    `void` | `performTransfer(URI uri, String outfile)`
    `void` | `performTransferToFolder(URI uri, String outPath)`
    `void` | `setConnectiontimeout(int connectiontimeout)`
    `void` | `setTransferTimeout(int transferTimeout)`
    `long` | `transfer(URI uri, String outfile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bufferSize

          public static int bufferSize

  - ### Constructor Detail

    - #### TransferUtil

          public TransferUtil()
                       throws org.apache.commons.vfs2.FileSystemException

      Throws:
        `org.apache.commons.vfs2.FileSystemException`

  - ### Method Detail

    - #### getConnectiontimeout

          public int getConnectiontimeout()

    - #### setConnectiontimeout

          public void setConnectiontimeout(int connectiontimeout)

    - #### getTransferTimeout

          public int getTransferTimeout()

    - #### setTransferTimeout

          public void setTransferTimeout(int transferTimeout)

    - #### getInputStream

          public static InputStream getInputStream(URI uri,
                                   int connectionTimeout)
                                            throws org.apache.commons.vfs2.FileSystemException

      Parameters:
        `uri` -
        `connectionTimeout` -
      Returns:
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### transfer

          public long transfer(URI uri,
                      String outfile)
                        throws Exception

      Parameters:
        `uri` -
        `outfile` -
      Throws:
        `Exception`

    - #### performTransfer

          public void performTransfer(URI uri,
                             String outfile)
                               throws Exception

      Parameters:
        `uri` -
        `outfile` -
      Throws:
        `Exception`

    - #### performTransferToFolder

          public void performTransferToFolder(URI uri,
                                     String outPath)
                                       throws Exception

      Parameters:
        `uri` -
        `outPath` -
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.